package org.chenyang.http.conn;

import org.chenyang.http.HttpClientConnection;
import org.chenyang.http.HttpInetConnection;
import java.io.IOException;
import java.net.Socket;
import javax.net.ssl.SSLSession;

public interface ManagedHttpClientConnection extends HttpClientConnection, HttpInetConnection {
   String getId();

   void bind(Socket var1) throws IOException;

   Socket getSocket();

   SSLSession getSSLSession();
}
